Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516004 - STATDARGS ignored in /etc/sysconfig/nfs
Summary: STATDARGS ignored in /etc/sysconfig/nfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 19:06 UTC by Jay Kulpinski
Modified: 2018-01-09 16:48 UTC (History)
3 users (show)

Fixed In Version: nfs-utils-2.2.1-3.rc2.fc27 nfs-utils-2.2.1-3.rc2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-28 02:52:27 UTC


Attachments (Terms of Use)

Description Jay Kulpinski 2017-11-21 19:06:52 UTC
Description of problem:

The STATDARGS setting in /etc/sysconfig/nfs is ignored due to a typo in /usr/libexec/nfs-utils/nfs-utils_env.sh.

Version-Release number of selected component (if applicable):
nfs-utils-2.2.1-1.rc1.fc27.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Edit value of STATDARGS in /etc/sysconfig/nfs
2. systemctl restart nfs-config.service
3. Check /run/sysconfig/nfs-utils for new value of STATDARGS

Actual results:
STATDARGS is empty

Expected results:
STATDARGS should have value from /etc/sysconfig/nfs

Additional info:
Patch to resolve issue:

--- /usr/libexec/nfs-utils/nfs-utils_env.sh.orig	2017-11-20 20:22:58.753243132 -0500
+++ /usr/libexec/nfs-utils/nfs-utils_env.sh	2017-11-20 20:25:17.979486278 -0500
@@ -35,7 +35,7 @@
 {
 echo RPCNFSDARGS=\"$nfsdargs\"
 echo RPCMOUNTDARGS=\"$RPCMOUNTDOPTS\"
-echo STATDARGS=\"$STATDARG\"
+echo STATDARGS=\"$STATDARGS\"
 echo SMNOTIFYARGS=\"$SMNOTIFYARGS\"
 echo RPCIDMAPDARGS=\"$RPCIDMAPDARGS\"
 echo RPCGSSDARGS=\"$RPCGSSDARGS\"

Comment 1 Fedora Update System 2017-12-19 18:22:08 UTC
nfs-utils-2.2.1-2.rc2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e425486ac4

Comment 2 Fedora Update System 2017-12-19 18:22:17 UTC
nfs-utils-2.2.1-2.rc2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bfe00bd1ff

Comment 3 Fedora Update System 2017-12-20 15:58:04 UTC
nfs-utils-2.2.1-3.rc2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c458061e88

Comment 4 Fedora Update System 2017-12-20 15:58:17 UTC
nfs-utils-2.2.1-3.rc2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00310ebff2

Comment 5 Fedora Update System 2017-12-21 20:26:35 UTC
nfs-utils-2.2.1-3.rc2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00310ebff2

Comment 6 Fedora Update System 2017-12-21 21:11:24 UTC
nfs-utils-2.2.1-3.rc2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c458061e88

Comment 7 Fedora Update System 2017-12-28 02:52:27 UTC
nfs-utils-2.2.1-3.rc2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-01-09 16:48:38 UTC
nfs-utils-2.2.1-3.rc2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.